Package org.eclipse.jdt.ui.text

# Interface IColorManager

All Superinterfaces:
  `ISharedTextColors`

public interface IColorManager extends ISharedTextColors
Manages SWT color objects for the given color keys and given `RGB` objects. Until the `dispose` method is called, the same color object is returned for equal keys and equal `RGB` values.

In order to provide backward compatibility for clients of `IColorManager`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IColorManagerExtension` since version 2.0 introducing the ability to bind and un-bind colors.

This interface may be implemented by clients.

See Also:
  - `IColorManagerExtension`
  - `IJavaColorConstants`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor(String key)`
Returns a color object for the given key.

### Methods inherited from interface org.eclipse.jface.text.source.ISharedTextColors

`dispose, getColor`

## Method Details

### getColor

Color getColor(String key)
Returns a color object for the given key. The color objects are remembered internally; the same color object is returned for equal keys.

Parameters:
  `key` - the color key
Returns:
  the color object for the given key